#!/usr/bin/octave --silent
#
# You'll need to use the .octaverc in this directory to get the proper
# paths.
#

addpath('./unit_test');

global unittest_results;

unit_init(1, {});

test_files = glob('tests/*.m');

## Source every file that matches the glob above.
cellfun(@source, test_files);

fprintf('\n');
fprintf('Total tests attempted: %d\n', unittest_results.total);
fprintf('Total tests passed: %d\n', unittest_results.pass);
fprintf('Total tests failed: %d\n', unittest_results.fail);
